#
# spec file for package libusb-compat (Version 0.1.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libusb-compat
Url:            http://libusb.wiki.sourceforge.net/LibusbCompat0.1
License:        BSD3c(or similar) ; LGPLv2.1+
Group:          System/Libraries
Summary:        libusb-1.0 Compatibility Layer for libusb-0.1
Version:        0.1.3
Release:        6.1
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRequires:  libusb-1_0-devel pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libusb-0_1-5 = %{version}-%{release}

%description
A compatibility layer allowing applications written for libusb-0.1 to
work with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell
and walk like libusb-0.1.



Authors:
--------
    Daniel Drake <dsd@gentoo.org>

%package -n libusb-0_1-4
License:        BSD3c(or similar) ; LGPLv2.1+
Group:          System/Libraries
# A better version than 0.1.12 provided by libusb-0_1:
Version:        0.1.13
Release:        6.1
Summary:        libusb-1.0 Compatibility Library for libusb-0.1
# Special symbol for packages, that use libusb-0.1 API, but use libusb-1.0 features:
Provides:       libusb-1_0-features-in-0_1-api
# Update of libusb from openSUSE < 11.1 SLE < 11:
# This symbol is also required by several third party packages!
Provides:       libusb = 0.1.13
Obsoletes:      libusb < 0.1.13
# SuSE specific non-conflicting version: openSUSE == 11.1:
Obsoletes:      libusb-0_1-5

%description -n libusb-0_1-4
A compatibility layer allowing applications written for libusb-0.1 to
work with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell
and walk like libusb-0.1.



Authors:
--------
    Daniel Drake <dsd@gentoo.org>

%package devel
License:        BSD3c(or similar) ; LGPLv2.1+
Group:          Development/Libraries/C and C++
Summary:        libusb-1.0 Compatibility Layer for libusb-0.1
Requires:       libusb-0_1-4 = 0.1.13 libusb-1_0-features-in-0_1-api libusb-1_0-devel glibc-devel
# Update of libusb from openSUSE < 11.1 SLE < 11:
Provides:       libusb-devel = 0.1.13
Obsoletes:      libusb-devel < 0.1.13
Conflicts:      libusb-devel < 0.1.13

%description devel
A compatibility layer allowing applications written for libusb-0.1 to
work with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell
and walk like libusb-0.1.



Authors:
--------
    Daniel Drake <dsd@gentoo.org>

%prep
%setup -q

%build
%if %suse_version > 1100
autoreconf -f -i
%endif
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n libusb-0_1-4 -p /sbin/ldconfig

%postun -n libusb-0_1-4 -p /sbin/ldconfig

%files -n libusb-0_1-4
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Dec 15 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Thu Aug  6 2009 sbrabec@suse.cz
- Updated to version 0.1.3:
  * improve libusb-config for cross-compiling
- Removed support for parallel installation with libusb-0.1.
* Wed Jul  8 2009 sbrabec@suse.cz
- Set shared library package version to 0.1.13 to be higher than
  the last libusb0 (bnc#519311#c8).
* Mon Jun 29 2009 sbrabec@suse.cz
- Fixed build with the latest autotools.
* Mon Jun 22 2009 sbrabec@suse.cz
- Updated to version 0.1.2:
  * handle libusb initialization failure
* Wed Jun 17 2009 meissner@suse.de
- Fixed crashes of libgphoto2 (and other usb_find_busses() and
  usb_find_devices() users) when no USB device is in the system
  (like in a chroot without /sys, or on s390 or similar).
  bnc#432129 (again)
* Fri Jun  5 2009 sbrabec@suse.cz
- Updated to version 0.1.1:
  * improvements to match libusb-0.1 endpoint addressing behaviour
* Fri Apr 17 2009 sbrabec@suse.cz
- Ensure use of read EP in usb_interrupt_read() (bnc#443861).
* Wed Apr 15 2009 sbrabec@suse.cz
- Fixed devel dependencies.
* Wed Apr 15 2009 sbrabec@suse.cz
- Worked around 'Duplicate License entries' breakage in Autobuild.
* Tue Apr 14 2009 sbrabec@suse.cz
- Updated to version 0.1.0:
  * Bug fixes.
  * Documentation of incompatibilities with libusb-0.1.
- Implemented rpm build option FULLY_REPLACE_LIBUSB_0_1.
- Another attempt to replace libusb-0.1 completely.
* Wed Nov 12 2008 sbrabec@suse.cz
- Changed library soname to libusb-0.1 incompatible libusb-0.1.so.5
  allowing to install both in paralel. (bnc#443861, works around
  also bnc#432129 and bnc#439574)
- Confllict with libusb-devel instead of obsoleting it.
* Wed Oct 22 2008 sbrabec@suse.cz
- Properly obsolete old implementation of the library (bnc#437768).
* Wed Oct  8 2008 meissner@suse.de
- handle case where usb_init() failed (ctx NULL), so
  we do not crash. bnc#432129
- added more NULL ptr checks, where older libusb were
  more graceful and did not crash. bnc#432129
* Mon Oct  6 2008 sbrabec@suse.cz
- Added baselibs.conf (bnc#432304).
* Thu Sep 25 2008 ro@suse.de
- fix debug package requires
* Wed Sep 10 2008 sbrabec@suse.cz
- New package providing compatibility layer for libusb.
